### Method

# Ggit TreeBuilder write

#### Declaration [src]

    GgitOId*
    ggit_tree_builder_write (
      GgitTreeBuilder* builder
      GError** error
    )

#### Description [src]

Write the contents of the tree builder as a tree object.

#### Return value

Type: `GgitOId`

The `GgitOId` of the created tree object or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.